#!/usr/bin/perl
use strict;
use warnings;
open GENE_NAME,'<',$ARGV[0] or die "Can't open PI1 !"; #homologous genes name file
open GO_FILE,'<',$ARGV[1] or die "Can't open PI2 !"; #GO_id file
open OUT,'>','out' or die "Can't open OUT!"; #homologous genes name and GO

my %hash;
while (<GENE_NAME>) {
	chomp;
	$hash{$_} = 1;
}

my @line;
while (<GO_FILE>) {
	chomp;
	@line = split /\t/,$_;
	if (exists $hash{$line[1]}){
		print OUT "$_\n";
	}

}

close GENE_NAME;
close GO_FILE;
close OUT;